GIT-QSERIES(1)

NAME
git-qseries - list all entries from the patch queue series file

SYNOPSIS
git qseries [-v | --verbose] [-s | --summary] [ -m | --missing]

DESCRIPTION
The git qseries command displays, in series order, the names of all patches which have been registered as members of the active Git-MQ patch series.

If the --verbose option is specified, each patch name is preceded by its sequence number in the series, and a single character flag, indicating its status to be one of:—

    A   applied: the patch has been applied.

    U   unapplied: the patch has not been applied.

    G   guarded: the patch has not been applied, and is guarded to prevent its application in the current git qselect state.

If the --summary option is specified, the commit summary line, if available in the patch header, is displayed following each patch name.

If the --missing option is specified, instead of listing registered patches, git qseries displays a list of patches which are present in the active Git-MQ patch directory, but which are not registered in the series file; if the --verbose option is also specified, no sequence number is displayed for such patches, and the status is indicated by the D flag.

OPTIONS

-m, --missing
    List patches which lack a series file entry.

-s, --summary
    Include summary lines from patch headers.

-v, --verbose
    Include patch sequence numbers and status flags.

EXIT STATUS
On successful completion, git qseries reports an exit status code of 0. Any non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qseries command exhibits fundamentally the same behaviour as its hg qseries counterpart.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qapplied(1), git-qguard(1), git-qnext(1), git-qprev(1), git-qselect(1), git-qtop(1), git-qunapplied(1)